Bug 180536 - Monotone is missing from ports/i386/packages-8-stable/
Summary: Monotone is missing from ports/i386/packages-8-stable/
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-13 20:00 UTC by Bugs
Modified: 2013-08-07 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bugs 2013-07-13 20:00:00 UTC
Monotone is missing from
ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-8-stable/
and is therefore not able to be installed via that usual method.

Fix: 

Ensure a verson of monotone is built and pushed to ftp.
Comment 1 Guido Falsi freebsd_committer 2013-07-30 13:51:43 UTC
Content migrated from PR ports/180915 misfiled as new PR:

In addition to the former bug on 8-stable i386,
monotone is also missing from 9-stable i386 here:
ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-9-stable/All/

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 2 Lapo Luchini 2013-07-30 13:58:52 UTC
Recent changes in pkg-config seem to have broken the port.
I'm investigating and will hopefully produce a fix soon.
Comment 3 Guido Falsi freebsd_committer 2013-07-30 16:13:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 Lapo Luchini 2013-07-31 15:52:48 UTC
https://redports.org/browser/lapo/devel/monotone/?rev=15165

Converting to USES the configure problem is solved.
But there is a fresh new problem: xgettext coredump.

I guess xgettext COULD be avoided during make, but I should work on it 
and as it worked okay up to one month ago, I'd like to find a better 
solution than removing it from the make process.
Comment 5 Lapo Luchini 2013-08-07 11:01:31 UTC
OK, this is the minimal patch to avoid the problem with xgettext.

(it disables usage of xgettext entirely, which is not useful in a build 
anyways, as translations are managed upstream at release time)

This is also available (and tested on every platform) on RedPorts:
https://redports.org/browser/lapo/devel/monotone?rev=15355

diff -ruN /usr/ports/devel/monotone/Makefile ./Makefile
--- /usr/ports/devel/monotone/Makefile   2013-07-08 15:58:22.000000000 +0200
+++ ./Makefile   2013-08-07 11:55:39.967684422 +0200
@@ -86,6 +86,7 @@
                  -e "s/\"idn/\"libidn/g" \
                  -e "s/\"pcre/\"libpcre/g" \
                  -e "s/\"botan/\"botan-1.10/g" \
+                -e "s/REBUILD_NLS=true/REBUILD_NLS=false/g" \
                  ${WRKSRC}/configure

  post-install:
Comment 6 dfilter service freebsd_committer 2013-08-07 20:36:59 UTC
Author: madpilot
Date: Wed Aug  7 19:36:51 2013
New Revision: 324362
URL: http://svnweb.freebsd.org/changeset/ports/324362

Log:
  - Fix build by disabling use of xgettext
  
  While here:
  
  - Convert to new LIB_DEPENDS format
  - Convert to new USES=perl5
  - Remove obsolete MAKE_JOBS_SAFE knob
  
  PR:		ports/180536
  Submitted by:	Bugs <bugs@mailinator.com>
  Approved by:	Lapo Luchini <lapo@lapo.it> (maintainer)

Modified:
  head/devel/monotone/Makefile

Modified: head/devel/monotone/Makefile
==============================================================================
--- head/devel/monotone/Makefile	Wed Aug  7 17:44:15 2013	(r324361)
+++ head/devel/monotone/Makefile	Wed Aug  7 19:36:51 2013	(r324362)
@@ -14,17 +14,16 @@ LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
-LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre \
-		idn:${PORTSDIR}/dns/libidn \
-		sqlite3:${PORTSDIR}/databases/sqlite3 \
-		botan-1.10:${PORTSDIR}/security/botan110
+LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre \
+		libidn.so:${PORTSDIR}/dns/libidn \
+		libsqlite3.so:${PORTSDIR}/databases/sqlite3 \
+		libbotan-1.10.so:${PORTSDIR}/security/botan110
 
 SUB_FILES=	pkg-message
 USE_BZIP2=	yes
-USE_PERL5_BUILD=yes
-USES=		iconv pkgconfig gmake
+USES=		iconv pkgconfig gmake perl5
+USE_PERL5=	build
 USE_LUA=	5.1+
-MAKE_JOBS_SAFE=	yes
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	MAKEINFO="makeinfo --no-split"
@@ -86,6 +85,7 @@ post-patch:
 		-e "s/\"idn/\"libidn/g" \
 		-e "s/\"pcre/\"libpcre/g" \
 		-e "s/\"botan/\"botan-1.10/g" \
+		-e "s/REBUILD_NLS=true/REBUILD_NLS=false/g" \
 		${WRKSRC}/configure
 
 post-install:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Guido Falsi freebsd_committer 2013-08-07 20:37:01 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!